Core - Task # 47939

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Closed Priority: Should have
Author: Felix Kopp Category:

Created: 2013-05-05 Assigned To:

Updated: 2014-12-31 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Solve /typo3/js directory

Description

typo3/js should be removed and all contained java script files be moved to the relevant context.
Based on thoughts and ideas discussed in https://notes.typo3.org/p/js-usage-core JS there are java script files with unique extensions

& target directories.

This will act as an umbrella

Subtasks:

Bug # 47942: Move and change tab.js Resolved
Task # 47943: Move adminpanel.js to EXT: frontend Resolved
Task # 48063: Move several js files to EXT: backend Resolved
History

#1 - 2013-05-05 12:49 - Felix Kopp

typo3/js should be removed and all contained java script files be moved to the relevant context.
Based on thoughts and ideas discussed in https://notes.typo3.org/p/js-usage-core JS there are java script files with unique extensions & target

directories.

This will act as an umbrella

#2 - 2014-03-10 16:40 - Daniel Siepmann

- Estimated time set to 0.00

- Parent task set to #55575

#3 - 2014-03-10 17:34 - Daniel Siepmann
- Estimated time deleted (0.00)

#4 - 2014-12-31 18:28 - Benjamin Mack

- Status changed from New to Closed
- Remaining (hours) deleted (0.0)

Subtasks are solved. Also: typo3/js/ now only contains extJs stuff once https:/review.typo3.org/#/c/34239/ is through.
